From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/coredns/
Date: Sun, 12 May 2024 21:14:37 +0000 (UTC) [thread overview]
Message-ID: <1715548062.9944f0cbce1bba286093ab452fb0f7d046c0468d.zmedico@gentoo> (raw)
commit: 9944f0cbce1bba286093ab452fb0f7d046c0468d
Author: Rahil Bhimjiani <me <AT> rahil <DOT> rocks>
AuthorDate: Fri May 3 06:34:58 2024 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun May 12 21:07:42 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9944f0cb
net-dns/coredns: add 1.11.3
* Deps tarball size reduced from 250+ -> 6 MiB
* Switch from Makefile build to direct `go build` because former was
getting messier with Go versions. Latter is simpler.
* Remove test USE flag as not needed anymore
Signed-off-by: Rahil Bhimjiani <me <AT> rahil.rocks>
Closes: https://github.com/gentoo/gentoo/pull/36528
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>
net-dns/coredns/Manifest | 2 ++
.../{coredns-9999.ebuild => coredns-1.11.3.ebuild} | 23 ++++++----------------
net-dns/coredns/coredns-9999.ebuild | 23 ++++++----------------
3 files changed, 14 insertions(+), 34 deletions(-)
diff --git a/net-dns/coredns/Manifest b/net-dns/coredns/Manifest
index 7b64f21dc6ff..0deb3578d8d0 100644
--- a/net-dns/coredns/Manifest
+++ b/net-dns/coredns/Manifest
@@ -1,2 +1,4 @@
DIST coredns-1.11.2-r1-deps.tar.xz 6547080 BLAKE2B 19a067a5b402ebe3b8a462e534bbdcf9baade4b5f434c6f24fe8ede0cbe623e2d5d8bdf0ffc06954d796441095688f19caa40f2255a2cc56102fdef36d327ac5 SHA512 caf6e0f1c9be4857059244019d6556f907e4f6907a932c201c856355c3e0b86c1752a90a226d5904c511d0db08ce4869cc5d24203bb4b9e2e1be02e725990332
DIST coredns-1.11.2.tar.gz 651994 BLAKE2B 1a7a272756eaf83170e242a573c8a765d6ea7b70fe422d36a87850b600a88287291aa0fe0d49462c34453d4d3c4d33f9497be409379ff8fccc87f41e2195efc1 SHA512 0e90ef4793555bd46aa5ce84cf639c015d1869b407627c69746eb948abff1920f891c45e5f00c0127f23e2c6394c07cc55c1776af840881210f90faa6ec22b40
+DIST coredns-1.11.3-deps.tar.xz 6662680 BLAKE2B 44bc099586cdaffc381141e347c8921596b0b51bf4f82064d2aca562083597672dfe4b0c965f4c6feebbf4711aff07bd7a301b6ecab28233294978ae94df5fbd SHA512 49690bc11816e1bbc0a5f325abe64648ea820fecd25695f19bf9921f0a38786cddf30e4a385306470a27d17af9d09a5ec50025ff241ea9f3b6b346eddc859755
+DIST coredns-1.11.3.tar.gz 653856 BLAKE2B db9efdd1b674f6908ff094866ca5c148e018d7ddae2ae1cc07c13fbf78dcc4e6ed478d2e5946f73d43b8ee6a1924fecd53759e6b9a41935d084fbb1d84b7bb10 SHA512 3ec9296626a2994d1259329e50b032d2972ef8e05bfed742c0ee570414adbfa8f296046b9356ef73d885a1f1c1e3660421762267535ec2d3f357c3064a75d405
diff --git a/net-dns/coredns/coredns-9999.ebuild b/net-dns/coredns/coredns-1.11.3.ebuild
similarity index 78%
copy from net-dns/coredns/coredns-9999.ebuild
copy to net-dns/coredns/coredns-1.11.3.ebuild
index 52c5778f1173..117795b9f150 100644
--- a/net-dns/coredns/coredns-9999.ebuild
+++ b/net-dns/coredns/coredns-1.11.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,7 +23,6 @@ LICENSE="Apache-2.0"
LICENSE+=" MIT BSD ISC MPL-2.0 BSD-2"
SLOT="0"
-IUSE="test"
# TODO: debug test failure with deps tarball
RESTRICT="test"
@@ -35,32 +34,22 @@ FILECAPS=(
)
src_unpack() {
- if [[ ${PV} == *9999* ]]; then
+ if [[ ${PV} == 9999* ]]; then
git-r3_src_unpack
go-module_live_vendor
else
- go-module_src_unpack
+ default
fi
}
src_prepare() {
+ [[ ${PV} != 9999* ]] && { ln -sv ../vendor ./ || die ; }
default
- use test || sed -i -e 's|coredns: $(CHECKS)|coredns:|' Makefile
}
src_compile() {
- # For non-live versions, prevent git operations which causes sandbox violations
- # https://github.com/gentoo/gentoo/pull/33531#issuecomment-1786107493
- [[ ${PV} != 9999* ]] && export GITCOMMIT=''
-
- # Mimicking go-module.eclass's GOFLAGS
- if use amd64 || use arm || use arm64 ||
- ( use ppc64 && [[ $(tc-endian) == "little" ]] ) || use s390 || use x86; then
- local buildmode="-buildmode=pie"
- fi
- export BUILDOPTS="-buildvcs=false -modcacherw -v -x -p=$(makeopts_jobs) ${buildmode}"
-
- default
+ [[ ${PV} == 9999* ]] && local GIT_COMMIT="$(git describe --dirty --always)"
+ ego build -ldflags="-s -w -X github.com/coredns/coredns/coremain.GitCommit=${GIT_COMMIT}"
}
src_install() {
diff --git a/net-dns/coredns/coredns-9999.ebuild b/net-dns/coredns/coredns-9999.ebuild
index 52c5778f1173..117795b9f150 100644
--- a/net-dns/coredns/coredns-9999.ebuild
+++ b/net-dns/coredns/coredns-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,7 +23,6 @@ LICENSE="Apache-2.0"
LICENSE+=" MIT BSD ISC MPL-2.0 BSD-2"
SLOT="0"
-IUSE="test"
# TODO: debug test failure with deps tarball
RESTRICT="test"
@@ -35,32 +34,22 @@ FILECAPS=(
)
src_unpack() {
- if [[ ${PV} == *9999* ]]; then
+ if [[ ${PV} == 9999* ]]; then
git-r3_src_unpack
go-module_live_vendor
else
- go-module_src_unpack
+ default
fi
}
src_prepare() {
+ [[ ${PV} != 9999* ]] && { ln -sv ../vendor ./ || die ; }
default
- use test || sed -i -e 's|coredns: $(CHECKS)|coredns:|' Makefile
}
src_compile() {
- # For non-live versions, prevent git operations which causes sandbox violations
- # https://github.com/gentoo/gentoo/pull/33531#issuecomment-1786107493
- [[ ${PV} != 9999* ]] && export GITCOMMIT=''
-
- # Mimicking go-module.eclass's GOFLAGS
- if use amd64 || use arm || use arm64 ||
- ( use ppc64 && [[ $(tc-endian) == "little" ]] ) || use s390 || use x86; then
- local buildmode="-buildmode=pie"
- fi
- export BUILDOPTS="-buildvcs=false -modcacherw -v -x -p=$(makeopts_jobs) ${buildmode}"
-
- default
+ [[ ${PV} == 9999* ]] && local GIT_COMMIT="$(git describe --dirty --always)"
+ ego build -ldflags="-s -w -X github.com/coredns/coredns/coremain.GitCommit=${GIT_COMMIT}"
}
src_install() {
next reply other threads:[~2024-05-12 21:14 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-12 21:14 Zac Medico [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-01 19:38 [gentoo-commits] repo/gentoo:master commit in: net-dns/coredns/ Zac Medico
2024-11-14 0:55 Zac Medico
2024-05-12 21:14 Zac Medico
2024-05-12 21:06 Zac Medico
2024-05-11 15:16 Arthur Zamarin
2024-03-25 4:20 Zac Medico
2024-03-25 3:41 Zac Medico
2024-03-24 23:21 Zac Medico
2024-03-15 15:37 Arthur Zamarin
2024-02-28 3:05 Zac Medico
2024-02-28 3:05 Zac Medico
2024-02-28 3:05 Zac Medico
2023-11-10 16:35 Zac Medico
2023-11-10 16:35 Zac Medico
2023-05-01 13:36 Sam James
2023-04-11 4:36 Zac Medico
2022-10-18 2:48 Zac Medico
2022-10-18 2:48 Zac Medico
2022-05-28 17:42 Zac Medico
2022-05-16 4:02 Zac Medico
2022-05-16 4:02 Zac Medico
2021-09-01 16:42 William Hubbs
2021-06-29 16:22 Mike Gilbert
2021-04-04 14:41 Zac Medico
2021-03-24 6:19 Zac Medico
2021-03-21 1:04 Zac Medico
2020-07-22 7:48 Joonas Niilola
2020-05-04 19:26 William Hubbs
2020-04-29 11:40 Joonas Niilola
2019-01-15 19:26 Manuel Rüger
2019-01-15 19:26 Manuel Rüger
2018-08-21 20:29 Manuel Rüger
2018-07-24 13:52 Manuel Rüger
2018-04-01 1:25 Manuel Rüger
2018-04-01 1:25 Manuel Rüger
2018-02-21 15:04 Manuel Rüger
2017-10-27 11:37 Manuel Rüger
2017-10-27 11:37 Manuel Rüger
2017-08-12 12:25 Manuel Rüger
2017-08-06 21:31 Manuel Rüger
2017-08-06 21:31 Manuel Rüger
2017-07-19 15:06 Manuel Rüger
2017-03-22 14:42 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1715548062.9944f0cbce1bba286093ab452fb0f7d046c0468d.zmedico@gentoo \
--to=zmedico@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox